Sfoglia il riferimento
Tutte le risorse
Obiettivi
4 endpoint · Le descrizioni degli endpoint sono in inglese.
Get the goal attached to a category
GET
/households/{householdId}/categories/{categoryId}/goalread:goals
Parametri
| Nome | Posizione | Obbligatorio |
|---|---|---|
| categoryId | path | Obbligatorio |
Richiesta di esempio
bash
curl -H "Authorization: Bearer vokse_sk_…" \ -X GET https://api.vokse.ai/households/current/categories/{categoryId}/goalRisposta200 · Success
Create or replace the goal on a category (one goal per category)
PUT
/households/{householdId}/categories/{categoryId}/goalwrite:goals
Parametri
| Nome | Posizione | Obbligatorio |
|---|---|---|
| categoryId | path | Obbligatorio |
Corpo della richiesta
json
{ "kind": "target_by_date", "targetCents": 600000, "byDate": "2026-12-31"}Richiesta di esempio
bash
curl -H "Authorization: Bearer vokse_sk_…" \ -H "Content-Type: application/json" \ -H "Idempotency-Key: $(uuidgen)" \ -X PUT https://api.vokse.ai/households/current/categories/{categoryId}/goal \ -d '{"kind":"target_by_date","targetCents":600000,"byDate":"2026-12-31"}'Risposta200 · Success
Remove the goal from a category
DELETE
/households/{householdId}/categories/{categoryId}/goalwrite:goals
Parametri
| Nome | Posizione | Obbligatorio |
|---|---|---|
| categoryId | path | Obbligatorio |
Richiesta di esempio
bash
curl -H "Authorization: Bearer vokse_sk_…" \ -X DELETE https://api.vokse.ai/households/current/categories/{categoryId}/goalRisposta204 · No content
List every goal in the household
GET
/households/{householdId}/goalsread:goals
Richiesta di esempio
bash
curl -H "Authorization: Bearer vokse_sk_…" \ -X GET https://api.vokse.ai/households/current/goalsRisposta200 · Success